---
title: oh-webframe - Web frame
component: oh-webframe
label: Web frame
description: Displays a web page in a frame
source: https://github.com/openhab/openhab-webui/edit/main/bundles/org.openhab.ui/doc/components/oh-webframe.md
prev: /docs/ui/components/
---

# oh-webframe - Web frame

<!-- Put a screenshot here if relevant:
![](./images/oh-webframe/header.jpg)
-->

[[toc]]

<!-- Note: you can overwrite the definition-provided description and add your own intro/additional sections instead -->
<!-- DO NOT REMOVE the following comments if you intend to keep the definition-provided description -->
<!-- GENERATED componentDescription -->
Displays a web page in a frame
<!-- GENERATED /componentDescription -->

## Configuration

<!-- DO NOT REMOVE the following comments -->
<!-- GENERATED props -->
### General
<div class="props">
<PropGroup label="General">
<PropBlock type="TEXT" name="src" label="Source URL">
  <PropDescription>
    URL to show in the frame
  </PropDescription>
</PropBlock>
<PropBlock type="INTEGER" name="height" label="Height">
  <PropDescription>
    Height of the frame (by default 300px)
  </PropDescription>
</PropBlock>
</PropGroup>
</div>


<!-- GENERATED /props -->

<!-- If applicable describe how properties are forwarded to a underlying component from Framework7, ECharts, etc.:
### Inherited Properties

-->

<!-- If applicable describe the slots recognized by the component and what they represent:
### Slots

#### `default`

The contents of the oh-webframe.

-->

<!-- Add as many examples as desired - put the YAML in a details container when it becomes too long (~150/200+ lines):
## Examples

### Example 1

![](./images/oh-webframe/example1.jpg)

```yaml
component: oh-webframe
config:
  prop1: value1
  prop2: value2
```

### Example 2

![](./images/oh-webframe/example2.jpg)

::: details YAML
```yaml
component: oh-webframe
config:
  prop1: value1
  prop2: value2
slots
```
:::

-->

<!-- Try to clean up URLs to the forum (https://community.openhab.org/t/<threadID>[/<postID>] should suffice)
## Community Resources

- [Community Post 1](https://community.openhab.org/t/12345)
- [Community Post 2](https://community.openhab.org/t/23456)
-->
